> ## Documentation Index
> Fetch the complete documentation index at: https://docs.alpic.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get deployment logs

> Get the logs for a deployment



## OpenAPI

````yaml https://api.alpic.ai/openapi.json get /v1/deployments/{deploymentId}/logs
openapi: 3.1.1
info:
  title: Alpic API
  version: 1.0.0
servers:
  - url: https://api.alpic.ai
security:
  - bearerAuth: []
paths:
  /v1/deployments/{deploymentId}/logs:
    get:
      tags:
        - deployments
      summary: Get deployment logs
      description: Get the logs for a deployment
      operationId: deployments.getLogs.v1
      parameters:
        - name: deploymentId
          in: path
          required: true
          schema:
            type: string
            description: The ID of the deployment
      responses:
        '200':
          description: The deployment logs
          content:
            application/json:
              schema:
                type: object
                properties:
                  logs:
                    type: array
                    items:
                      type: object
                      properties:
                        timestamp:
                          type: string
                          format: date-time
                          x-native-type: date
                        content:
                          type: string
                  hasMoreLogs:
                    type: boolean
                required:
                  - logs
                  - hasMoreLogs
        '404':
          description: '404'
          content:
            application/json:
              schema:
                oneOf:
                  - type: object
                    properties:
                      defined:
                        const: true
                      code:
                        const: NOT_FOUND
                      status:
                        const: 404
                      message:
                        type: string
                        default: Not Found
                      data: {}
                    required:
                      - defined
                      - code
                      - status
                      - message
                  - type: object
                    properties:
                      defined:
                        const: false
                      code:
                        type: string
                      status:
                        type: number
                      message:
                        type: string
                      data: {}
                    required:
                      - defined
                      - code
                      - status
                      - message
components:
  securitySchemes:
    bearerAuth:
      type: http
      description: >-
        Bearer token for authentication. Use an API key from the API Keys page
        in team settings, or an OAuth access token.
      scheme: bearer

````